Bug 253420 - audio/festival: Fails to fetch
Summary: audio/festival: Fails to fetch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok, easy, needs-qa
Depends on:
Blocks:
 
Reported: 2021-02-10 22:22 UTC by freebsd-bugs
Modified: 2021-04-13 23:31 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (mi)


Attachments
Makefile patch (704 bytes, patch)
2021-02-10 23:21 UTC, freebsd-bugs
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd-bugs 2021-02-10 22:22:28 UTC
Issue fetching distfiles from anonscm.debian.org and distcache.

Solution, update PATCH_SITES= in Makefile to include salsa.debian.org

PATCH_SITES=    ftp://ftp.netbsd.org/pub/pkgsrc/current/pkgsrc/audio/festival/patches/:netbsd   \
                http://anonscm.debian.org/cgit/tts/festival.git/plain/debian/patches/:debian    \
                https://salsa.debian.org/tts-team/festival/-/raw/b58a836b84ff9a9afa82eb0283bac19bf9c22e71/debian/patches/:debian
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-02-10 23:00:52 UTC
@Reporter Than k you for the report and patch. Could you provide it as an attachment please so that it can be approved
Comment 2 freebsd-bugs 2021-02-10 23:21:22 UTC
Created attachment 222346 [details]
Makefile patch
Comment 3 Automation User 2021-02-25 01:06:59 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/261426582
Comment 4 commit-hook freebsd_committer 2021-04-13 23:29:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=50ad246f1505e25f842192f791a94a30211395ab

commit 50ad246f1505e25f842192f791a94a30211395ab
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-13 23:24:06 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-13 23:24:06 +0000

    audio/festival: Fix fetch

    Per http://anonscm.debian.org/ Debian migrated to GitLab a long time
    ago, update PATCH_SITES.

    PR:             253420
    Reported by:    freebsd-bugs@micallef.io
    Approved by:    maintainer timeout

 audio/festival/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 5 Kevin Bowling freebsd_committer 2021-04-13 23:31:25 UTC
Thanks for the submission!